
package etunicorn.generated;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.Date;


/**
 * No description
 * (Generated with springmvc-raml-parser v.0.8.9)
 * 
 */
@RestController
@RequestMapping("/v1/personne")
public interface PersonneController {


    /**
     * Obtenir la liste des persones. Nécessite COMPTE_ADMIN
     * 
     */
    @RequestMapping(value = "", method = RequestMethod.GET)
    ResponseEntity<?> getPersonne();

    /**
     * Ajoute une nouvelle personne
     * 
     */
    @RequestMapping(value = "", method = RequestMethod.POST)
    ResponseEntity<?> updatePersonne(
            @RequestParam(required = false)
                    String carte,
            @RequestParam(required = false)
                    Date naissance,
            @RequestParam(required = false)
                    String login,
            @RequestParam(required = false)
                    String role);

    /**
     * Obtenir les infos sur une personne. Nécessite COMPTE_ADMIN
     * 
     */
    @RequestMapping(value = "/{idPersonne}", method = RequestMethod.GET)
    ResponseEntity<?> getPersonneById(
            @PathVariable
                    BigDecimal idPersonne);

    /**
     * Modifer les infos d'une personne. Nécessite COMPTE_ADMIN
     * 
     */
    @RequestMapping(value = "/{idPersonne}", method = RequestMethod.PUT)
    ResponseEntity<?> updatePersonneById(
            @PathVariable
                    BigDecimal idPersonne,
            @RequestParam(required = false)
                    String carte,
            @RequestParam(required = false)
                    Date naissance,
            @RequestParam(required = false)
                    String login,
            @RequestParam(required = false)
                    String role);

    /**
     * Obtenir les infos sur une personne. Nécessite COMPTE_ADMIN
     * 
     */
    @RequestMapping(value = "/{idPersonne}", method = RequestMethod.DELETE)
    ResponseEntity<?> deletePersonneById(
            @PathVariable
                    BigDecimal idPersonne);

}
